Command (Ant Contrib)
Keywords: net.sf.antcontrib.antserver.Command interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.antserver
Interface Command

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  AbstractCommand, DisconnectCommand, HelloWorldCommand, RunAntCommand, RunTargetCommand, SendFileCommand, ShutdownCommand

    public interface Command

extends java.io.Serializable

Place class description here.

Since:
Author:
  Matthew Inger,

Method Summary
`boolean` | `execute(org.apache.tools.ant.Project project, long contentLength, java.io.InputStream contentStream)` Execute the command.
`long` | `getContentLength()` Is there additional content being sent from the local machine to the remote server
`java.io.InputStream` | `getContentStream()` Gets the content's input stream.
`java.io.InputStream` | `getReponseContentStream()`
`long` | `getResponseContentLength()`
`boolean` | `respond(org.apache.tools.ant.Project project, long contentLength, java.io.InputStream contentStream)` Process any additional data from a response.
`void` | `validate(org.apache.tools.ant.Project project)` This should throw a build exception if the parameters are invalid.

Method Detail

### validate

    void validate(org.apache.tools.ant.Project project)

  This should throw a build exception if the parameters are invalid.

### getContentLength

    long getContentLength()

  Is there additional content being sent from the local machine to the remote server

### getContentStream

    java.io.InputStream getContentStream()
                                         throws java.io.IOException

  Gets the content's input stream. Should be called only on the client side for sending the content over the connection

  Returns:
    the content's input stream.
  Throws:
    `java.io.IOException`

### getResponseContentLength

    long getResponseContentLength()

### getReponseContentStream

    java.io.InputStream getReponseContentStream()
                                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### execute

    boolean execute(org.apache.tools.ant.Project project,
                    long contentLength,
                    java.io.InputStream contentStream)
                    throws java.lang.Throwable

  Execute the command.

  Parameters:
    `project` - The project which is being executed
  Returns:
    If true, the connection will be closed
  Throws:
    `java.lang.Throwable`

### respond

    boolean respond(org.apache.tools.ant.Project project,
                    long contentLength,
                    java.io.InputStream contentStream)
                    throws java.io.IOException

  Process any additional data from a response.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD